
#ifndef BMEPS_H_INCLUDED
#define BMEPS_H_INCLUDED 1

#include <dk.h>

#include <stdio.h>



#ifdef EXTERN
#undef EXTERN
#endif

#if DK_HAVE_PROTOTYPES
#define EXTERN /* nix */
#else
#if B2DVIPS_C
#define EXTERN /* nix */
#else
#define EXTERN extern
#endif
#endif

/**	@file	bmeps.h	Interface to the bmeps library.
*/

#if defined(__cplusplus)
extern "C" {
#endif




/**	Configure the bmeps library.
	@param	langdef	Choose language and additional options.
*/
EXTERN
void
bmeps_cfg DK_PR((char *langdef));



/**	Print bmeps version number.
	@param	outf	File to print to.
*/
EXTERN
void
bmeps_version DK_PR((FILE *outf));



/**	Run a conversion.
	@param	outf	Output file.
	@param	inf	Input file.
	@param	name	Input file name.
	@return	...
*/
EXTERN
int
bmeps_run DK_PR((FILE *outf, FILE *inf, char *name));



/**	Check whether bmeps can handle a file.
	@param	name	File name.
	@return	1 for yes, 0 for no.
*/
EXTERN
int
bmeps_can_handle DK_PR((char *name));



#if defined(__cplusplus)
}
#endif

#endif
/* ifndef BMEPS_H_INCLUDED */

